Subject: still, still having telnetd problems (aarggh!)
From: [email-masked] (Nicola Bernardini)

7 Jan 1998 08:47:18 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: "GNU Windows 32 mailing list at cygnus.com" <[email-masked]>

Sorry to bother again with this, but I am really lost and I must
make this NT box work with telnet...

Thanks to Sergei's observation some time ago, I actually got
inetd to at least respond. Telnet is still far away, though,
because when I try to login the first time around, here's what happens:

Trying 194.184.60.70...
Connected to wntmachine.ax.it.
Escape character is '^]'.

CYGWIN32_NT 4.0 (WNTMACHINE) (tty1)

login: nicb
Password:
Last login: Fri Dec 07 16:18:47 from 194.184.60.149
(unknown) In cygwin_except_handler
(unknown) Exception trapped!
(unknown) exception C0000005 at 10018910
(unknown) exception: ax 0 bx 3EA cx E6 dx 64
(unknown) exception: si 244FA28 di 0 bp 244FA3C sp 244FA18
(unknown) exception is: STATUS_ACCESS_VIOLATION
(unknown) Stack trace:
(unknown) frame 0: sp = 0x244F84C, pc = 0x1000CEC2
(unknown) frame 1: sp = 0x244F868, pc = 0x77F94512
(unknown) frame 2: sp = 0x244F88C, pc = 0x77F88EEB
(unknown) frame 3: sp = 0x244F918, pc = 0x77F76266
(unknown) frame 4: sp = 0x244FA3C, pc = 0x1000BBED
(unknown) frame 5: sp = 0x244FF94, pc = 0x1000C113
(unknown) frame 6: sp = 0x244FFA0, pc = 0x43AE95
(unknown) frame 7: sp = 0x244FFB0, pc = 0x40103B
(unknown) frame 8: sp = 0x244FFC0, pc = 0x77F1B304
(unknown) frame 9: sp = 0x244FFF0, pc = 0x0
(unknown) End of stack trace
(unknown) In cygwin_except_handler
(unknown) Error while dumping state (probably corrupted stack)
(unknown) In cygwin_except_handler
(unknown) Error while dumping state (probably corrupted stack)
(unknown) In cygwin_except_handler
(unknown) Error while dumping state (probably corrupted stack)
....
and so on indefinitely

After this first attempts, inetd connects via telnet and lauches
a shell, but I get no more responses from the system. At any rate,
the launches shell gets locked into the system and there is no
way to end the task with the task manager. The shell launched
in the first attempt continues to eat up memory until eventually
it clogs the system completely. In the meantime, it uses 100%
of the CPU so the system is clogged anyway. Of course, the shell
runs perfectely well if launching it inside the WinNT machine
via an MSDOS console.
Any hints?

I am running WinNT 4.0 SP3 on a Pentium 166 MMX machine, with
cygwin and Sergei's patches and remote.tar.gz that I picked up
on November 24 1997.

------------------------------------------------------------------------
Nicola Bernardini
Via Aldo Manuzio, 16
I - 00153 Roma
Tel.: ++396/5743196
E-mail: [email-masked]
 
Re graphics: A picture is worth 10K words -- but only those to describe
the picture.  Hardly any sets of 10K words can be adequately described
with pictures.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".